Render Collection API
Authorizations
X-Api-KeystringRequired
Body
collection_uuidstring Β· uuidRequiredExample:
The unique identifier of collection created in My Templates section: https://app.dynamicmockups.com/my-templates
4f21ac10-67ff-42f4-9362-84a7498c8a9bcolorsobjectOptionalExample:
Key-value map of color inputs using hex codes
{"color_primary":"#FF5733"}export_labelstringOptionalExample:
fall_collection_renderResponses
200
Successful response of bulk mockup renders
application/json
successbooleanOptionalExample:
truemessagestringOptional
400
Bad request due to invalid input parameters
401
Unauthorized request, invalid or missing API key
403
Insufficient credits to perform this action
422
Missing required input parameters
post/renders/bulk
POST /api/v1/renders/bulk HTTP/1.1
Host: app.dynamicmockups.com
X-Api-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 279
{
"collection_uuid": "4f21ac10-67ff-42f4-9362-84a7498c8a9b",
"artworks": {
"artwork_main": "https://cdn.example.com/artworks/logo.png"
},
"colors": {
"color_primary": "#FF5733"
},
"export_label": "fall_collection_render",
"export_options": {
"image_format": "webp",
"image_size": 360,
"mode": "view"
}
}{
"success": true,
"message": "",
"data": {
"export_label": "fall_collection_render",
"exports": [
{
"url": "https://cdn.example.com/exports/rendered_image_01.webp",
"label": "Modern-Living-Room-Frame"
},
{
"url": "https://cdn.example.com/exports/rendered_image_02.webp",
"label": "Bright-Studio-Canvas-Display"
}
]
}
}How to get the collection_uuid parameter?


About Collections
Collection Mapping Inputs



artworks
Send artwork as a binary file instead of a URL
colors
export_label
export_options.image_format
export_options.image_size
export_options.mode
Last updated